//PROFILE-NO

// *****************************************************************************
// * Copyright 2003-2005 mxbee                                                 *
// *****************************************************************************
// * This program is free software; you can redistribute it and/or modify      *
// * it under the terms of the GNU General Public License as published by      *
// * the Free Software Foundation; either version 2 of the License, or         *
// * (at your option) any later version.                                       *
// *                                                                           *
// * This program is distributed in the hope that it will be useful,           *
// * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
// * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
// * GNU General Public License for more details.                              *
// *                                                                           *
// * You should have received a copy of the GNU General Public License         *
// * along with this program; if not, write to the Free Software               *
// * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
// *****************************************************************************

// Compiler options and definitions.
// Should be included at the top of each unit.

{$WRITEABLECONST ON}    // enable typed constants for static local vars
{$LONGSTRINGS ON}       // we generally use type String for long strings
{$BOOLEVAL OFF}         // Must be off. Code depends on that!
{$EXTENDEDSYNTAX ON}    // needed for PChar support

{-DEFINE USE_JCL}       // use the JEDI Code Library? (for stack tracing)

// Delphi version
{$UNDEF DELPHI_4_OR_LOWER}
{$UNDEF DELPHI_5_OR_LOWER}
{$IFDEF VER80}  {$DEFINE DELPHI_5_OR_LOWER} {$ENDIF} // Delphi 1
{$IFDEF VER90}  {$DEFINE DELPHI_5_OR_LOWER} {$ENDIF} // Delphi 2
{$IFDEF VER100} {$DEFINE DELPHI_5_OR_LOWER} {$ENDIF} // Delphi 3
{$IFDEF VER120} {$DEFINE DELPHI_5_OR_LOWER} {$ENDIF} // Delphi 4

{$IFDEF DELPHI_5_OR_LOWER} {$DEFINE DELPHI_4_OR_LOWER} {$ENDIF}
 
{$IFDEF VER130} {$DEFINE DELPHI_5_OR_LOWER} {$ENDIF} // Delphi 5

{$UNDEF DELPHI_5_OR_HIGHER}
{$IFNDEF DELPHI_4_OR_LOWER} {$DEFINE DELPHI_5_OR_HIGHER} {$ENDIF}

{$UNDEF DELPHI_6_OR_HIGHER}
{$IFNDEF DELPHI_5_OR_LOWER} {$DEFINE DELPHI_6_OR_HIGHER} {$ENDIF}

{$UNDEF DELPHI_7_OR_HIGHER}
{$IFNDEF DELPHI_5_OR_LOWER} {$IFNDEF VER140}
{$DEFINE DELPHI_7_OR_HIGHER}
{$ENDIF} {$ENDIF}

{$IFDEF DELPHI_7_OR_HIGHER}
// disable .NET port facilitation warnings
{$WARN UNSAFE_CODE OFF} {$WARN UNSAFE_CAST OFF} {$WARN UNSAFE_TYPE OFF}
{$ENDIF}

